<?php

require_once(__DIR__ . '/../../AcronisApi/AuthInterface.php');

class AcronisApi_AuthMock implements AcronisApi_AuthInterface
{

    private $_isAuthorized;

    /**
     * set authorized.
     *
     * @param boolean $isAuthorized
     */
    public function __construct($isAuthorized)
    {
        $this->_isAuthorized = $isAuthorized;
    }

    /**
     * is user authorized.
     *
     * @return boolean
     */
    public function isAuthorized()
    {
        return $this->_isAuthorized;
    }
}
